Get a summary of all rewards for a given stablecoin
curl --request GET \
--url https://api.bridge.xyz/v0/rewards/{currency} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/rewards/{currency}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/rewards/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"developer_id": "2d127766-02fa-44b0-9fc8-a67665dbf109",
"currency": "xusd",
"balance": "10000.00",
"rewards": "23.9725",
"updated_at": "2025-01-01T00:00:00.000Z"
}Rewards
Get a summary of all rewards for a given stablecoin
Get a summary of all rewards for a given stablecoin
GET
/
rewards
/
{currency}
Get a summary of all rewards for a given stablecoin
Authorizations
Path Parameters
The stablecoin symbol
Response
The summary of all rewards for a given stablecoin
The developer ID of the developer
The stablecoin symbol for the reward summary
The balance of the developer in the given stablecoin
The rewards of the developer in the given stablecoin
The timestamp of the last update to the reward summary, in ISO8601 format
Was this page helpful?
